<template>
  <v-snackbar :color="color" v-model="snackbar" :timeout="timeout" right top>
    {{ text }}
    <template v-slot:action="{ attrs }">
      <v-btn text v-bind="attrs" @click="snackbar = false">Close</v-btn>
    </template>
  </v-snackbar>
</template>

<script>
export default {
  props: ["propsnackbar", "propcolor", "proptimeout", "proptext"],
  data() {
    return {
      snackbar: this.propsnackbar,
      color: this.propcolor,
      timeout: this.proptimeout,
      text: this.proptext,
    };
  },
  watch: {
    snackbar(v) {
      this.$emit("update:propSnackbar", v);
    },
  },
};
</script>

<style></style>
